This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 118688 - RFE: Redhat-config-network doesn't check legality of adresses
RFE: Redhat-config-network doesn't check legality of adresses
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2004-03-18 16:57 EST by Jean Francois Martinez
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 06:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jean Francois Martinez 2004-03-18 16:57:11 EST
Description of problem:
I have noticed that redhat-config-network allows to give to a machine
the broacast address  of the network as its own IP.  Ie the config
tool accepted X.X.X.255 for a class C address.   This is illegal

Version-Release number of selected component (if applicable):
The one shipped with Fedora.

How reproducible:
Ever

Steps to Reproduce:
1.  Manually configure the card (ie no dhcp)
2.  Assign 192.168.123.255 as trhe IP address
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.